// GamePlatformSDKService.aidl
package com.iqiyi.sdk.service.aidl;

// Declare any non-default types here with import statements
import com.iqiyi.sdk.service.aidl.RemoteGamePlatformInitListener;
import com.iqiyi.sdk.service.aidl.RemoteLoginListener;
import com.iqiyi.sdk.service.aidl.RemotePayListener;
import com.iqiyi.sdk.service.aidl.RemoteGuesLoginListener;
import com.iqiyi.sdk.service.aidl.RemoteQIYIInfoCallBack;
import com.iqiyi.sdk.service.aidl.GameSDKForceUpdateCallBack;
import com.iqiyi.sdk.service.aidl.BaseResponse;
import com.iqiyi.sdk.service.aidl.GameFloatMenuCallBack;
import com.iqiyi.sdk.service.aidl.GameLanternCallBack;
import com.iqiyi.sdk.service.aidl.GameSDKExitCallBack;
import com.iqiyi.sdk.service.aidl.RemoteGameBindPhoneCallBack;

interface GamePlatformSDKService {
    boolean loadPlugin(String gameid);

    int initPlatform(String gameid, RemoteGamePlatformInitListener listenr, int orientation);

    int createRole(String serverId ,String regional ,String role);

    int enterGame(String serverId ,String regional ,String role);

    int iqiyiUserLogin();

    void guestLoginToGame();

    int iqiyiUserLogout();

    int iqiyiPayment(int money, String roleId,
                   String serverId, String userData, String cpOrderId);

    int iqiyiChangeAccount();

    boolean isLogin();

    void initSliderBar();

    void payForGameVIP();

    void addLoginListener(RemoteLoginListener loginListener);

    void addPaymentListener(RemotePayListener payListener);

    void addGuestLoginListener(RemoteGuesLoginListener guesLoginListener);

    String getQIYIInfo();

    void initQQLogin(String appId, String unionAppId, String reserve);

    void initWeChatLogin(String appId, String unionAppId);

    void weChatOauthResp(in BaseResponse resp);

    void getQIYIInfoAsync(RemoteQIYIInfoCallBack callBack);

    void getQIYIUserInfoRealTime(RemoteQIYIInfoCallBack callBack);

    void setGameSDKForceUpdateCallBack(GameSDKForceUpdateCallBack sdkUpdateCallBack);

    void onActivityResume();

    void onActivityPause();

    void onUpdateImage(GameFloatMenuCallBack callBack);

    void setLanternCallBack(GameLanternCallBack callBack);

    void setLanternNewsHasRead(String msgId);

    void launchPushActivityWhenClickLantern(String url);

    void openSideBar(int open, int clickPosition);

    void onSDKExit(GameSDKExitCallBack callBack);

    void launchFromGameCenter(boolean aBoolean);

    void openCustomService();

    void launchPhoneBindView(RemoteGameBindPhoneCallBack callBack);

    void antiIndulge(String antiIndulgeContent);

    void launchGuestToNormal(String content,boolean allowClose,RemoteGameBindPhoneCallBack callBack);

    void hideThirdLoginType(boolean aBoolean);

    void setPersonalityColor(String key,int personalityColor);
}
